import 'cypress-wait-until'
import {
    Given, When, Then,
} from "cypress-cucumber-preprocessor/steps";

//Import you page objects from support folder
import HomePage from '../../../../support/PageObjects/HomePage';

// //Create an instance of your Page Object
// const HomePage = new HomePage();


beforeEach(() => {
    Given('user navigates to {string} in a browser', (url) => {
        cy.visit(url);
    })
});

When("the user selects a {string} option from the search bar", async function (language) {
    cy.get(HomePage.languageSelector).select(language);
    
});

When("the user types a {string} in the search bar and clicks the search button", async function (search_item) {
    cy.get(HomePage.searchTextBar).type(search_item)
    cy.get(HomePage.searchButton).click()
});

Then("wikipedia will show {string} page in {string}", async function (search_item, language) {

    cy.waitUntil(() => cy.get('#firstHeading'));
    // cy.get('#firstHeading').should('have.text', search_item)
    cy.contains('#firstHeading', search_item)
});

When("user searches for {string} in the Wikipedia search bar and clicks the search button", async function (search_item) {
    cy.get('#searchInput.vector-search-box-input').type(search_item).type('{enter}')
    
});

Then("wikipedia will show search results for {string}", async function (search_item) {

    // cy.waitUntil(() => cy.get('#firstHeading'));
    // cy.get('#firstHeading').should('have.text', search_item)
    cy.contains(':nth-child(1) > .mw-search-result-heading', search_item)
});

afterEach(() => {
    cy.window().then(win => {
        if(typeof win.gc=== 'function') {
            win.gc();
        }
    });
});